POST /contacts

Create a contact, with its channel when accountId and platformIdentifier are given

POST
/contacts

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
name*string
email?string
company?string
tags?array<string>
isSubscribed?boolean
notes?string
customFields?
profileId?string
accountId?string
platform?string
platformIdentifier?string

WhatsApp: phone in international format

displayIdentifier?string

Response Body

{success, contact, channel?, warning?}

application/json
  1. response
success?boolean
contact?
channel?
warning?string
Example Request
curl -X POST 'https://example.com/api/v1/contacts' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "success": true,  "contact": {    "id": "string",    "name": "string",    "email": "string",    "company": "string",    "avatarUrl": "string",    "tags": [      "string"    ],    "isSubscribed": true,    "isBlocked": true,    "customFields": {},    "notes": "string",    "profileId": "string",    "messagesSentCount": 0,    "messagesReceivedCount": 0,    "lastMessageSentAt": "2019-08-24T14:15:22Z",    "lastMessageReceivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "channel": {    "id": "string",    "accountId": "string",    "platform": "string",    "platformIdentifier": "string",    "displayIdentifier": "string",    "isSubscribed": true,    "conversationId": "string",    "metadata": {},    "lastActiveAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  },  "warning": "string"}